Subject: [PATCH] ARM: qcom: Enable basic support for Qualcomm platforms in multi_v7_defconfig

From: [email-masked] (Kevin Hilman)
Date: Fri, 28 Feb 2014 12:24:21 -0800

Kevin Hilman <[email-masked]> writes:

> Stephen Boyd <[email-masked]> writes:
>
>> On 02/28, Kevin Hilman wrote:
>>> Hi Kumar,
>>> 
>>> Kevin Hilman <[email-masked]> writes:
>>> 
>>> > Kumar Gala <[email-masked]> writes:
>>> >
>>> >> Enable support for the MSM8x60, MSM8960, and MSM8974 SoCs, clocks and
>>> >> serial console as part of the standard multi_v7_defconfig.
>>> >>
>>> >> Signed-off-by: Kumar Gala <[email-masked]>
>>> >> ---
>>> >>
>>> >> I leave this to the arm-soc guys to apply because of possible conflicts
>>> >> with other updates to multi_v7_defconfig.
>>> >
>>> > Seem to be a handful of !qcom changes here, probably resulting from a
>>> > run of 'make savedefconfig' without all the new changes in.
>>> >
>>> > I've thinned this out to only the qcom changes and applied the following
>>> > to next/boards.  I think it's better to do any 'make savedefconfig'
>>> > cleanups as a separate, cleanup-only patch as needed.
>>> 
>>> Bisecting a new boot failure on u8500/snowball came down to this patch.
>>> Simply disabling CONFIG_ARCH_QCOM in mutli_v7_defconfig gets the
>>> u8500/snowball booting again, so it looks like there may still be some
>>> qcom specifics that are being run on non-qcom platforms with a
>>> multi-platform config.
>>> 
>>> Could you audit for initcalls/drivers being initialized on non-qcom
>>> SoCs?
>>> 
>>
>> Can you try disabling CONFIG_ARCH_MSM8X60 and
>> CONFIG_ARCH_MSM8960? MY suspicion is the text offset movement is
>> causing problems, but I hope I'm wrong.
>
> Sorry to dash your hopes, but you're right.
>
> Starting from a fresh multi_v7_defconfig and disabling those two Kconfig
> options gets the snowball booting again on multi_v7_defconfig.

For the record...

After some discussion on IRC, we discovered this is because those
options add a 2Mb offset to TEXT_OFFSET, and my boot tool wasn't taking
that into account when creating the uImage to boot on snowball.

I guess it's time to upgrade u-boot on snowball with bootz support so it
can directly boot a zImage.

Kevin